%define ver_major 2.8
%define ver_base 2.8

Name: evolution-webcal
Version: %ver_major.0
Release: alt1

Summary: Webcal URL handler
Group: Networking/Other
License: GPL
URL: http://www.gnome.org/projects/evolution/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define eds_ver 1.8.0

Requires: evolution-data-server >= %eds_ver

# Automatically added by buildreq on Thu Sep 07 2006
BuildRequires: evolution-data-server-devel fontconfig GConf libavahi-glib libdbus-glib libgnomeui-devel perl-XML-Parser

BuildRequires: evolution-data-server-devel >= %eds_ver

%description
This URL handler adds webcal: URL support to Evolution calendar.
Webcal allows users to access shared iCalendar files via WebDAV.

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-static
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_libexecdir/%name
%_sysconfdir/gconf/schemas/*

%changelog
* Thu Sep 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.8.0-alt1
- Release 2.8.0

* Tue Jun 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt3
- Rebuilt with new e-d-s

* Sun May 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt2
- x86_64 fix: the executable is listed in libexecdir

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt1
- Release 2.6.0

* Sun Feb 19 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.5.90-alt1
- Updated to 2.5.90
- Buildreq
- Changed the main versioned dependency from evolution to e-d-s

* Mon Dec 05 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt3
- Replaced mozilla in build requirements with libnspr and libnss

* Sun Oct 23 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt2
- Moved schemas uninstallation to the preun script

* Sun Oct 23 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt1
- Initial release for Sisyphus
